---
title: Federazione, Interoperabilità, Stategie migratorie
date: 2020-12-25
draft: false
---

Considerando che Facebook è uno dei poteri di questi decenni, non sarà facile uscirne. Ma leggi qui, un'idea te la farai.

_del: 20 Agosto 2022_

#### Come pianifiare una migrazione da Facebook

Sappiamo che Facebook è un problema, lo è per come ti traccia, lo è per come corrompe le dinamiche sociali, per come distorce la produzione dell'informazione perchè sia ripagata dal suo algoritmo. E' un problema, è grave, è greve, ma purtroppo pare che non ce ne si possa fare a meno.

Una volta ti serve perchè devi fare login in un servizio che ti offre "Collegati con Facebook", un'altra volta perchè vuoi farti i filtri e gli sticker personalizzati, oppure perchè vuoi essere aggiornata sugli eventi della tua città. 

#### Gli eventi li potresti trovare altrove

Esistono reti libere, la differenza tra loro e facebook è che non sono nelle mani di un solo soggetto, bensì ogni soggetto possiede una piccola isola che comunica con le altre. La sicurezza sta in due aspetti: se anche uno di questi venisse compromesso da un potere superiore (un attaccante digitale, un'autorità oppressiva, o quel che potrebbe capitare a facebook) si perderebbe solo una piccola porzione della rete.

#### La centralizzazione di Facebook è la sua vulnerabilità

Basta infiltrare una compagnia, in un modo o nell'altro, per danneggiare gli eventi di un miliardo di persone, invece nella variante federata, quella composta da tante isole che comunicano tra di loro, un attaccante dovrebbe comprometterne moltissime. Tutte gestite da persone diverse, con interessi magari contrastanti, in nazioni che magari non collaborano tra di loro. Questa è la forza della federazione

#### La prima volta che si entra nella rete federata, ci si sente un po' soli

Ma non disperare, è un bene. Facebook è fatto per studiare chi conosci e ipotizzare i tuoi interessi. E' un sistema di sorveglizana che ti studia, fa stime su di te, allo scopo di intrattenerti. Se togli la _sorveglianza_, perchè é ingiustificabile essere sorvegliati per scorrere sugli eventi della tua città, automaticamente si perde anche la possibilità che un'intelligenza artificiale, con buona percentuale di successo, ipotizzi quello che ti potrebbe piacere.

E quindi insomma:

#### devi saperti orientare da te! Non c'è un sistema pensato per sommergerti di informazioni, ma una rete che ti serva quando e \*se sai quello che cerchi\*.

Ora, assumiamo che tu abbia imparato, in effetti, potresti trovare comunque meno eventi di quelli che troveresti su facebook, semplicemente perchè, se ci sono meno persone nel fediverso (l'universo di nodi federati si chiama così) rispetto che su facebook, allora proporzionalmente ce ne saranno di meno.

Ogni alternativa alla rete più popolosa diventa meno appetibile, è un fenomeno noto, per questo una rete diventa un monopolio che si autorinforza. Intere generazioni della popolazione, e pratiche di diffusioni eventi, sono radicate su facebook perchè così hanno imparato negli ultimi 10 anni.

Queste persone molto difficilmente verranno convinte a lasciare facebook, allora, copiamo gli eventi e ripostiamoli noi. 

---

_del: 31 Luglio 2022_, poi tradotto e rivisto in [Who are we talking to](/post/who-are-we-talking-to/).


### Vogliamo migrare da facebook, aiutare questa migrazione. 

Abbiamo ascoltato le lamentele delle tante, troppe organizzazioni infastidite dall'obbligo implicito nell'uso di Facebook.

Ma non ne possono fare a meno perchè miliari di utenti è una massa critica, un monopolio de facto, che seppure noi abbiamo reti migliori grazie al fediverso, manca la massa di utilizzatori.

#### Abbiamo identificato tre diversi interlocutori:

Il convertito: sono persone o organizzazioni che hanno lasciato facebook, e usano il fediverso

I conquistati: sono persone che usano facebook pensando che sia gratuito, pensanso che sia il meglio possibile, pensando che tutto sommato a loro basta non guardare la pubblicità. (niente di più sbagliato, ma non è questo il testo per convinverli)

I promotori: persone che spingono per la creazione di queste nuove isole federate che rimpiazzeranno facebook, che ascoltano gli utenti per raccogliere le loro esigenze, e che lavorano su strumenti tecnici e sociali per facilitare la migrazione.

Noi apparteniamo ai promotori, siamo convertiti così infervorati da voler convertire altri :) 

#### La strategia e l'economia

Ognuno degli attori qui sopra ha diversi incentivi ed obiettivi, e solo con una vittoria massiva possiamo considerare la migrazione un successo. Avere facebook monopolista permanente sarebbe una sconfitta per l'umanità, quindi, analizziamo un pochino questi tre attori.

### IL CONQUISTATO

il conquistato vuole visibilità. E' una persona che deve assecondare il compromesso, deve stare su facebook perchè non può farne a meno. perchè è semplice, perchè lì ci sono gli utenti, perchè ogni aiutate nell'organizzazione di cui fa parte sa creare eventi su facebook. Magari non vorrebbe essere conquistato, ha visto documentari, letto articoli. Capisce che facebook sia un problema, ma è rassegnato.

Il problema di questo soggetto è che il fediverso è meno frequentato, è meno integrato, più brutto graficamente, meno accessibile perchè ci sono le istanze da cercare e non un solo sito. 

In astratto, i problemi sono: 1) usabilità della tecnologia 2) mancanza massa critica 3) sforzo aggiuntivo per raggiungere meno pubblico.

### IL PROMOTORE

vorrebbe che ogni persona abbandonasse facebook, è diposto a fare sforzo aggiuntivo, accetta la mancanza di content moderation perchè è vista come sintomo di maggior libertà (forse non applicabile a tutti i contesti), accetta strumenti meno sviluppati, localizzati ed intrgrati di quelli mainstream, perchè la libertà del software libero e l'autodeterminazione delle reti federate sono valori pià importanti.

libr.events, mobilizon-reshare e l'uso stesso di mobilizon sono strumenti di questo personaggio. 

### IL CONVERTITO

Usa il fediverso, ma probabilmente soffre i problemi che ne derivano. Potrebbe fare lo sforzo di diventare un promotore, ma l'ideale per lui è semplicemente di non stare su facebook perchè è meglio. forse ha un account facebook che utilizza perchè a volte non ne può fare a meno.


---

_del: 25 December 2020_

#### Vogliamo abbandonare Facebook? si, ma...

Forse già non sei più su Facebook, forse non ci sei mai stata. meglio così.
Il problema detto _massa critica_ è che chiunque abbia un'attività che dipende dalla visibilità non può fare a meno di essere su Fb, perchè è la rete con maggiore visibilità.

Questa condizione si auto-alimenta. Tu stai su FB perchè è necessario, le nuove generaizioni non possono farne a meno, e se devi spendere i tuoi 10 minuti settimanali per pubblicizzare quello che fai vuoi massimizzare il risultato. Non solo stati su FB, ma magari la paghi pure.

Così FB prende potere e decide, ad esempio, di censurare eventi _perchè può_. E ogni volta che viene usata la sua infrastruttura per diffondere un appuntamento, ecco che una persona a te vicina viene ulterioremente profilata, tracciata e la sua attenzione venduta ai pubblicitari.

La giusta soluzione è migrare altrove, possiamo avere reti libere, distribuite e federete, nel quale nessun nodo abbia il potere di influenzare più di poche migliaia di utenti. Questo renderebbe il potere distirbuito, e potrebbe già succedere.

Ma stenta a succedere per vari motivi. Vogliamo concentrarci sul fatto che sulle reti meno grandi Facebook meno eventi vengono pubblicizzati.

Ecco, noi affrontiamo solo questo problema. Prendiamo gli eventi pubblici, pensati per essere il più possibile diffusi, e facilitiamo il fatto che vengano copiati (liberati), nel fediverse.

In questo modo chi vuole cercare eventi sa che nel fediverse esistono tutti quelli che ci sarebbero su Facebook (magari con una selezione specializzata per nodo di destinazione), oltre che a quelli esclusivi del Fediverse, e quindi si rimuoverebbe il FOMO per loro, (anzi, si creerebbe della FOMO negli utenti Fb).

Serve che vi installate l'estensione e liberate gli eventi. Serve che ogni città, o ogni contesto, abbia un nodo di fediverse di riferimento.

